Package org.eclipse.rdf4j.federated.algebra

## Class FedXLeftJoin

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.query.algebra.BinaryTupleOperator
    - - org.eclipse.rdf4j.query.algebra.LeftJoin
      - - org.eclipse.rdf4j.federated.algebra.FedXLeftJoin

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `TupleExpr`, `VariableScopeChange`

      public class FedXLeftJoin
      extends LeftJoin

  Abstraction of `LeftJoin` to maintain the `QueryInfo`.
  Author:
    Andreas Schwarte
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected QueryInfo` | `queryInfo` |

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.BinaryTupleOperator

      `leftArg, rightArg`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FedXLeftJoin​(LeftJoin leftJoin, QueryInfo queryInfo)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `QueryInfo` | `getQueryInfo()` |

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.LeftJoin

      `clone, equals, getAssuredBindingNames, getBindingNames, getCondition, hasCondition, hashCode, replaceChildNode, setCondition, visit, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.BinaryTupleOperator

      `getAlgorithmName, getLeftArg, getRightArg, setAlgorithm, setLeftArg, setRightArg`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString`

- - ### Field Detail

    - #### queryInfo

          protected final transient QueryInfo queryInfo

  - ### Constructor Detail

    - #### FedXLeftJoin

          public FedXLeftJoin​(LeftJoin leftJoin,
                              QueryInfo queryInfo)

  - ### Method Detail

    - #### getQueryInfo

          public QueryInfo getQueryInfo()